Bug 180004

Summary: REGRESSION(r225098): [WPE] Some features have changed of value (70 new failures)
Product: WebKit Reporter: Carlos Alberto Lopez Perez <clopez>
Component: WPE WebKitAssignee: Michael Catanzaro <mcatanzaro>
Status: RESOLVED FIXED    
Severity: Normal CC: achristensen, bugs-noreply, commit-queue, csaavedra, lforschler, mcatanzaro, zan
Priority: P2    
Version: WebKit Local Build   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=179989
https://bugs.webkit.org/show_bug.cgi?id=180005
Bug Depends on:    
Bug Blocks: 177338, 178894    
Attachments:
Description Flags
Patch none

Description Carlos Alberto Lopez Perez 2017-11-24 05:35:42 PST
Like it happened for WebKitGTK+ on bug 179989 this has also happened for WPE

This is the diff http://sprunge.us/TIaX?diff
Comment 1 Carlos Alberto Lopez Perez 2017-11-24 06:18:09 PST
Committed r225134: <https://trac.webkit.org/changeset/225134>
Comment 2 Carlos Alberto Lopez Perez 2017-11-24 06:19:42 PST
(In reply to Carlos Alberto Lopez Perez from comment #1)
> Committed r225134: <https://trac.webkit.org/changeset/225134>

The above is a gardening commit. This change on defaults causede 70 new failures (now marked on the expectations file)
Comment 3 Michael Catanzaro 2017-11-24 06:55:30 PST
I would reenable WebGL2 and EME tests on the bots. In OptionsWPE.cmake:

# Public options shared with other WebKit ports. Do not add any options here
# without approval from a WPE reviewer. There must be strong reason to support
# changing the value of the option.
WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_ACCELERATED_2D_CANVAS PUBLIC OFF)
WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_ENCRYPTED_MEDIA PUBLIC ${ENABLE_EXPERIMENTAL_FEATURES})

and:

# FIXME: Should ENABLE_USERSELECT_ALL really be turned off?
WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_USERSELECT_ALL PRIVATE OFF)
WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_WEBGL2 PRIVATE ${ENABLE_EXPERIMENTAL_FEATURES})

then remove the corresponding expectations. Then the tests should start passing once the WebKit admins return from Thanksgiving holidays and restart the buildbot master for us (hopefully Monday).
Comment 4 Michael Catanzaro 2017-11-27 08:35:23 PST
I'll implement my suggestion in comment #3.
Comment 5 Michael Catanzaro 2017-11-27 09:03:45 PST
Created attachment 327640 [details]
Patch
Comment 6 WebKit Commit Bot 2017-11-28 08:41:20 PST
Comment on attachment 327640 [details]
Patch

Clearing flags on attachment: 327640

Committed r225219: <https://trac.webkit.org/changeset/225219>
Comment 7 WebKit Commit Bot 2017-11-28 08:41:22 PST
All reviewed patches have been landed.  Closing bug.